<?php
namespace CADSUP\Controllers;

use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Message;

class FilialPorRegiaoController extends \Teknisa\GER\Controllers\TeknisaCrud 
{

    protected $dataSourceName = "filialporregiao";

	public function delete(DTO\Request $request, DTO\Response $response) 
	{
		try {
            $row = $request->getRow();
            $row["CDREGIAO"] = null;
            $rows = array($row);
			$this->crudService->save($this->dataSourceName, $rows);
		} catch (\Exception $e) {
			$response->setError(new Error($e->getMessage(), 500));
		}
	}
	
}